
%define rel 3

Name: libtvdb
Summary: Qt-based library which provides asyncronous access to TV series
Version: 0.3.50
Release: %mkrel %{rel}
Group: Video/Television
License: LGPLv2
URL: http://libtvdb.sourceforge.net/
#Source0: http://downloads.sourceforge.net/project/%name/%version/%name-%version.tar.bz2
# use git needed for nepomuktvnamer
# git archive --format=tar --remote=git://git.code.sf.net/p/libtvdb/code --prefix=libtvdb-%version/ master -v -o libtvdb-%version.tar
# xz libtvdb.tar
# the version here was checked from the CMakeLists.txt

Source: libtvdb-%version.tar.xz
BuildRequires: kdelibs4-devel

%description
LibTvdb is a Qt-based library which provides asyncronous access to TV series
information from thetvdb.com via a very simple interface.

#----------------------------------------------------------------------------
%package binary
Summary: This package provides the binary to use to get TV series information
Group: Video/Television

%description binary
This package provides the binary for %{name}

%files binary
%_kde_bindir/tvdbclient


#-----------------------------------------------------------------------------
%define tvdb_major 0
%define tvdb_library %mklibname tvdb %{tvdb_major}

%package -n %tvdb_library
Summary: Runtime library for %{name}
Group: System/Libraries

%description -n %tvdb_library
This package provides the runtime library for %{name}

%files -n %tvdb_library
%_kde_libdir/libtvdb.so.%{tvdb_major}*

#------------------------------------------------------------------------------
%define tvdb_devel %mklibname tvdb -d

%package -n %tvdb_devel
Summary: Devel packages for %{name}
Group: Development/KDE and Qt
Provides: libtvdb-devel = %{version}-%{release}
Provides: tvdb-devel = %{version}-%{release}
Requires: %tvdb_library = %{version}-%{release}

%description -n %tvdb_devel
This package provides the devel files needed to build package against %{name}.


%files -n %tvdb_devel
%_kde_libdir/libtvdb.so
%_kde_includedir/tvdb/
%_kde_datadir/cmake/LibTvdb


#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4
%make

%install
%makeinstall_std -C build

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.3.50-3.mga4
+ Revision: 521715
- Mageia 4 Mass Rebuild

* Wed Jan 23 2013 barjac <barjac> 0.3.50-2.mga3
+ Revision: 391660
- update group

* Sat Jan 12 2013 umeabot <umeabot> 0.3.50-1.mga3
+ Revision: 358277
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 mikala <mikala> 0.3.50-0.mga3
+ Revision: 335249
- Use a git snapshot (need by nepomuktvnamer)
- Add provides for the devel package
- imported package libtvdb

